using System;
using System.Collections.Generic;
using System.Text;
using GTANetworkAPI;
using ReallifeGamemode.Database.Entities;
using ReallifeGamemode.Database.Models;
using ReallifeGamemode.Server.Extensions;

namespace ReallifeGamemode.Server.Wanted
{
  public class Autowanted
  {
    public static void Check_AutoWanted(Player killerPlayer, Player copPlayer)
    {
      User killer = killerPlayer.GetUser();
      if (killer.FactionId == 1 || killer.FactionId == 3)
        return;

      User cop = copPlayer.GetUser();
      if (!cop.GetData<bool>("duty")) return;
      if (cop.FactionId == 1 || cop.FactionId == 3)
      {
        using (var dbContext = new DatabaseContext())
        {
          killer = killerPlayer.GetUser(dbContext);
          killer.GiveWanteds(copPlayer, 10, "Beamten-Mord");
          dbContext.SaveChanges();
        }
      }

    }
  }
}
